<?php
/**
 * Radiant Mega Shop functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package radiant-mega-shop
 * @since radiant-mega-shop 1.0
 */

if ( ! function_exists( 'radiant_mega_shop_support' ) ) :

	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * @since radiant-mega-shop 1.0
	 *
	 * @return void
	 */
	function radiant_mega_shop_support() {
		load_theme_textdomain( 'radiant-mega-shop', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		// Add support for block styles.
		add_theme_support( 'wp-block-styles' );

		add_theme_support( 'align-wide' );

		// Enqueue editor styles.
		add_editor_style( 'style.css' );

		add_theme_support( 'responsive-embeds' );

   		add_theme_support( 'woocommerce' );
		
		// Add support for experimental link color control.
		add_theme_support( 'experimental-link-color' );
	}

endif;

add_action( 'after_setup_theme', 'radiant_mega_shop_support' );

if ( ! function_exists( 'radiant_mega_shop_styles' ) ) :

	/**
	 * Enqueue styles.
	 *
	 * @since radiant-mega-shop 1.0
	 *
	 * @return void
	 */
	function radiant_mega_shop_styles() {

		// Register theme stylesheet.
		wp_register_style(
			'radiant-mega-shop-style',
			get_template_directory_uri() . '/style.css',
			array(),
			wp_get_theme()->get( 'Version' )
		);

		wp_enqueue_style( 
			'animate-css', 
			esc_url(get_template_directory_uri()).'/assets/css/animate.css' 
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'radiant-mega-shop-style' );

		wp_enqueue_style( 'dashicons' );

		wp_style_add_data( 'radiant-mega-shop-style', 'rtl', 'replace' );

		wp_enqueue_style('swiper-css',
		esc_url(get_template_directory_uri()) . '/assets/css/swiper-bundle.css',
		array()
		);

	}

endif;

add_action( 'wp_enqueue_scripts', 'radiant_mega_shop_styles' );

/* Enqueue Wow Js */
function radiant_mega_shop_scripts() {
	wp_enqueue_script( 
		'wow', esc_url(get_template_directory_uri()) . '/assets/js/wow.js', 
		array('jquery') 
	);
	wp_enqueue_script(
        'radiant-mega-shop-scroll-to-top', 
        esc_url(get_template_directory_uri()) . '/assets/js/scroll-to-top.js', 
        array(), 
        null, 
        true // Load in footer
    );

     wp_enqueue_script( 
		'radiant-mega-shop-custom', esc_url(get_template_directory_uri()) . '/assets/js/custom.js', 
		array('jquery') 
	);

	wp_enqueue_script(
		'swiper-js',
		esc_url(get_template_directory_uri()) . '/assets/js/swiper-bundle.js',
		array(),
		true
	);
}
add_action( 'wp_enqueue_scripts', 'radiant_mega_shop_scripts' );

/* Enqueue admin-notice-script js */
add_action('admin_enqueue_scripts', function ($hook) {
    if ($hook !== 'appearance_page_radiant-mega-shop') return;

    wp_enqueue_script('admin-notice-script', get_template_directory_uri() . '/get-started/js/admin-notice-script.js', ['jquery'], null, true);
    wp_localize_script('admin-notice-script', 'pluginInstallerData', [
        'ajaxurl'     => admin_url('admin-ajax.php'),
        'nonce'       => wp_create_nonce('install_wordclever_nonce'), // Match this with PHP nonce check
        'redirectUrl' => admin_url('themes.php?page=radiant-mega-shop'),
    ]);
});

add_action('wp_ajax_check_wordclever_activation', function () {
    include_once ABSPATH . 'wp-admin/includes/plugin.php';
    $radiant_mega_shop_plugin_file = 'wordclever-ai-content-writer/wordclever.php';

    if (is_plugin_active($radiant_mega_shop_plugin_file)) {
        wp_send_json_success(['active' => true]);
    } else {
        wp_send_json_success(['active' => false]);
    }
});
add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );

function radiant_mega_shop_theme_setting() {
	// Get Started
	require get_template_directory() . '/get-started/getstart.php';

	// Get Notice
	require get_template_directory() . '/get-started/notice.php';

	// Add block patterns
	require get_template_directory() . '/inc/block-pattern.php';

	// Add block Style
	require get_template_directory() . '/inc/block-style.php';

	// TGM
	require get_template_directory() . '/inc/tgm/plugin-activation.php';

	// Add Customizer
	require get_template_directory() . '/inc/customizer.php';
}	
add_action('after_setup_theme', 'radiant_mega_shop_theme_setting');	
